function [f,LRcrv,LRpmcrvl,LRpmcrvr]=GBtest(y,p,d,h,g,o,conf,bound)
f=zeros(2,1); LRcrv=0; LRpmcrvl=0; LRpmcrvr=0;
B=size(o,2);
y=demean(y,d);
paramsunr=OLS(y,p); paramsr=ROLS7(y,h,g,paramsunr,p);
if isempty(paramsr)
    f(1)=1; f(2)=1;
else
    r=roots([1 -paramsr']');
    if max(abs(r))>=bound
        f(1)=1; f(2)=1;
    else
        [LR,LRpm]=LRfun(y,paramsr,paramsunr,h,p);
        [LRcrv,LRpmcrvl,LRpmcrvr]=GBCriticalValues(y,p,d,h,g,paramsr,o,conf);
        if LR>LRcrv
            f(1)=1;
        end
        if LRpm<LRpmcrvl || LRpm>LRpmcrvr
            f(2)=1;
        end
    end
end