clear;
clc;
warning off;
stream=RandStream('mt19937ar');
RandStream.setDefaultStream(stream);
Bintervals=50; B=1000; p=2; d=3; T=100; Ts=500; conf=0.10; bound=1; n=5;
m=0.95; lgrid=-0.6; hgrid=[1; 3; 5; 10; 15; 20];
lsize=size(lgrid,1); hsize=size(hgrid,1);
resultsGBLR=zeros(lsize,hsize);
resultsGBLRpm=zeros(lsize,hsize);
resultsGosLR=zeros(lsize,hsize);
resultsGosLRpm=zeros(lsize,hsize);
for li=1:1:lsize
for hi=1:1:hsize
    GBLR=zeros(Bintervals,1); GBLRpm=zeros(Bintervals,1);
    GosLR=zeros(Bintervals,1); GosLRpm=zeros(Bintervals,1);
	l=lgrid(li);
	h=hgrid(hi);
	alpha2=-l*m;
	alpha1=l+m;
	params=[alpha1; alpha2];
	g0=IRF(params,h,p);
    for b=1:1:Bintervals
        q=[li hi b];
        display(q);
		e=randn(T,1);
		y=datagen(e,params,p);
        f=ConfidenceIntervalsForSimulations(y,p,d,h,B,conf,n,bound);
        GBLR(b)=f(2)-f(1); GBLRpm(b)=f(4)-f(3);
        GosLR(b)=f(6)-f(5); GosLRpm(b)=f(8)-f(7);
    end
    resultsGBLR(li,hi)=mean(GBLR);
    resultsGBLRpm(li,hi)=mean(GBLRpm);
    resultsGosLR(li,hi)=mean(GosLR);
    resultsGosLRpm(li,hi)=mean(GosLRpm);    
end
end
save resultscrv2confint