function [LR,LRl,LRr]=GospodinovCriticalValues(c,d,o,conf)
T=size(o,1); B=size(o,2); rho=1+c/T;
LR=zeros(B,1); LR_signed=zeros(B,1);
for b=1:1:B
    y=zeros(T,1);
    e=o(:,b);
    y(1)=e(1);
    for t=2:1:T
        y(t)=rho*y(t-1)+e(t);
    end
    y=demean(y,d);
    y=y(1:(T-1));
    e=e(2:T);
    q1=y'*e/T;
    q2=sqrt(y'*y)/T;
    LR(b)=(q1/q2)^2;
    LR_signed(b)=q1/q2;
    %LR_signed(b)=q1/q2+c*q2;
end
LR=sort(LR); LR_signed=sort(LR_signed);
LR=LR((1-conf)*B);
LRl=LR_signed(conf*B/2);
LRr=LR_signed((1-conf/2)*B);