function [f,LRcrv,LRpmcrvl,LRpmcrvr]=GospodinovTest(y,p,d,h,g,o,conf,bound)
f=zeros(2,1); LRcrv=0; LRpmcrvl=0; LRpmcrvr=0;
T=size(y,1);
y=demean(y,d);
paramsunr=OLS(y,p); paramsr=ROLS7(y,h,g,paramsunr,p);
if isempty(paramsr)
    f(1)=1; f(2)=1;
else
    [LR,LRpm]=LRfun(y,paramsr,paramsunr,h,p);
    r=roots([1 -paramsr']');
    if max(abs(r))>=bound
        f(1)=1; f(2)=1;
    else
        rr=real(r);
        [aaa,j]=max(rr);
        r=abs(r(j));
        c=T*(r-1);
        [LRcrv,LRpmcrvl,LRpmcrvr]=GospodinovCriticalValues(c,d,o,conf);
        if LR>LRcrv
            f(1)=1;
        end
        if LRpm<LRpmcrvl || LRpm>LRpmcrvr
            f(2)=1;
        end
    end
end
