clear;
clc;
warning off;
stream=RandStream('mt19937ar');
RandStream.setDefaultStream(stream);
B=1000; p=2; d=3; Ts=500; conf=0.10; bound=Inf;
m=0.99; T=500; lgrid=0.6; hgrid=[1; 3; 5; 10; 20; 30];
lsize=size(lgrid,1); hsize=size(hgrid,1);
resultsGBLR=zeros(lsize,hsize);
resultsGBLRpm=zeros(lsize,hsize);
resultsGosLR=zeros(lsize,hsize);
resultsGosLRpm=zeros(lsize,hsize);
resultsGBLR_temp2=zeros(lsize,hsize);
resultsGBLRpm_temp2=zeros(lsize,hsize);
for li=1:1:lsize
for hi=1:1:hsize
    GBLR=0; GBLRpm=0; GosLR=0; GosLRpm=0; GBLR_temp2=0; GBLRpm_temp2=0;
	l=lgrid(li);
	h=hgrid(hi);
	alpha2=-l*m;
	alpha1=l+m;
	params=[alpha1; alpha2];
	g0=IRF(params,h,p);
    for b=1:1:B
        q=[li hi b];
        display(q);
		e=randn(T,1);
		y=datagen(e,params,p);
        oGB=randi(T-p,T,B);
        oGos=randn(Ts,B);
        f=GBtest(y,p,d,h,g0,oGB,conf,bound);
        %f=zeros(2,1);
        GBLR=GBLR+f(1);
        GBLRpm=GBLRpm+f(2);
        f=GospodinovTest(y,p,d,h,g0,oGos,conf,bound);
        GosLR=GosLR+f(1);
        GosLRpm=GosLRpm+f(2);        
    end
	resultsGBLR(li,hi)=1-GBLR/B;
	resultsGBLRpm(li,hi)=1-GBLRpm/B;
	resultsGosLR(li,hi)=1-GosLR/B;
	resultsGosLRpm(li,hi)=1-GosLRpm/B;    
end
end
save resultCurVers2Table1